#include <stdio.h>
#include <stdlib.h>

int n;    

#define min(a,b) ((a<b) ? a : b)
#define max(a,b) ((a>b) ? a : b)

typedef struct {
  int x;
  int y;
} TCoord;

TCoord poleX[100010];
TCoord poleY[100010];

int compareX(const void* arg1, const void* arg2) {
    TCoord b1 = *(TCoord*)(arg1);
    TCoord b2 = *(TCoord*)(arg2);
    if (b1.x<b2.x) return -1;
    if (b1.x>b2.x) return 1;
    if (b1.y<b2.y) return -1;
    if (b1.y>b2.y) return 1;
  return 0;
}

int compareY(const void* arg1, const void* arg2) {
    TCoord b1 = *(TCoord*)(arg1);
    TCoord b2 = *(TCoord*)(arg2);
    if (b1.y<b2.y) return -1;
    if (b1.y>b2.y) return 1;
    if (b1.x<b2.x) return -1;
    if (b1.x>b2.x) return 1;
  return 0;
}

int alg() {
    int sum=0;
    int i=0;
    while (i<n) {
        sum+= abs(poleY[i].x-poleY[i+1].x);
        sum+= abs(poleX[i].y-poleX[i+1].y);
	i += 2;
    }
    return sum;
}

int main() {
    for (;;) {
        scanf("%d\n", &n);
	if (n==0) break;
/*	int x, y;
	int maxX = -1;
	int minX = 10001;
	int maxY = -1;
	int minY = 10001;
*/	for (int i=0; i<n; i++) {
	    scanf("%d%d", &poleX[i].x, &poleX[i].y);
	    poleY[i]=poleX[i];
//	    printf("%d %d\n", x, y);
/*	    minX=min(x, minX);
	    minY=min(y, minY);
	    maxX=max(x, maxX);
	    maxY=max(y, maxY);
*/	}
	qsort(poleX, n, sizeof(TCoord), compareX);
	qsort(poleY, n, sizeof(TCoord), compareY);
//	for (int i=0; i<n; i++)
//	    printf("%d %d\n", poleY[i].x, poleY[i].y);

	int res=alg();
/*	if (!(minX==maxX || minY==maxY))
	    res *= 2;
*/	printf("The length of the fence will be %d units.\n", res);
    }

    return 0;
}